ruby-ffi-yajl_2.3.1-1+b1_amd64.deb


Advertisement

Description

ruby-ffi-yajl - Ruby FFI wrapper around YAJL 2.x

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-ffi-yajl
Package version 2.3.1
Package release 1+b1
Package architecture amd64
Package type deb
Installed size 734 B
Download size 115.21 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-ffi-yajl_2.3.1-1+b1_i386.deb 2.3.1 i386 Debian Main
ruby-ffi-yajl - - -

Requires

Name Value
libc6 >= 2.14
libgmp10 -
libruby2.5 >= 2.5.0~preview1
libyajl-dev -
ruby << 1:2.6~
ruby >= 1:2.5~0

Download

Type URL
Binary Package ruby-ffi-yajl_2.3.1-1+b1_amd64.deb
Source Package ruby-ffi-yajl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-ffi-yajl deb package:
    # sudo apt-get install ruby-ffi-yajl

Files

Path
/usr/lib/ruby/vendor_ruby/ffi_yajl.rb
/usr/lib/ruby/vendor_ruby/libyajl2.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/encoder.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/ext.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/ffi.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/map_library_name.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/parser.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/platform.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/version.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/MIT-LICENSE
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/encode.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/encode_json_and_marshal.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/encode_json_and_yaml.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/encode_profile.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/http.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/parse.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/parse_json_and_marshal.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/parse_json_and_yaml.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/parse_profile.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/parse_profile_ruby_prof.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/parse_stream.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/subjects/item.json
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/subjects/ohai.json
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/subjects/ohai.marshal_dump
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/subjects/ohai.yml
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/subjects/twitter_search.json
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/subjects/twitter_stream.json
/usr/lib/ruby/vendor_ruby/ffi_yajl/benchmark/subjects/unicode.json
/usr/lib/ruby/vendor_ruby/ffi_yajl/ffi/encoder.rb
/usr/lib/ruby/vendor_ruby/ffi_yajl/ffi/parser.rb
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/ffi_yajl/ext/dlopen.so
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/ffi_yajl/ext/encoder.so
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/ffi_yajl/ext/parser.so
/usr/share/doc/ruby-ffi-yajl/README.md.gz
/usr/share/doc/ruby-ffi-yajl/changelog.Debian.amd64.gz
/usr/share/doc/ruby-ffi-yajl/changelog.Debian.gz
/usr/share/doc/ruby-ffi-yajl/copyright
/usr/share/rubygems-integration/2.5.0/specifications/ffi-yajl-2.3.1.gemspec

Changelog

2018-02-02 - Lucas Kanashiro <kanashiro@debian.org>
ruby-ffi-yajl (2.3.1-1) unstable; urgency=medium
* Team upload
[ Antonio Terceiro ]
* Remove myself from Uploaders:
[ Lucas Kanashiro ]
* New upstream version 2.3.1. This new upstream version fixes the
'rb_cFixnum' undeclared issue (Closes: #889021)
* Bump debhelper compatibility level to 10
* Declare compliance with Debian Policy 4.1.3
2016-05-07 - Tiago Ilieve <tiago.myhro@gmail.com>
ruby-ffi-yajl (2.2.3-2) unstable; urgency=medium
* debian/control:
- Remove 'discount' from build dependencies.
* Drop HTML documentation conversion:
- Delete 'debian/clean', update 'debian/ruby-ffi-yajl.docs'.
- Drop '0002-Clean-README.patch'.
- Remove 'override_dh_auto_build' from 'debian/rules'.
2016-05-04 - Tiago Ilieve <tiago.myhro@gmail.com>
ruby-ffi-yajl (2.2.3-1) unstable; urgency=medium
[ Cédric Boutillier ]
* Bump debhelper compatibility level to 9
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
* Use new default gem2deb Rakefile to run the tests
[ Tiago Ilieve ]
* Imported Upstream version 2.2.3
* Bump Standards-Version to 3.9.8 (no changes needed).
* Convert README.md to HTML (Debian Policy Manual § 12.4 "Preferred
documentation formats"):
- Add 'debian/clean', update 'debian/ruby-ffi-yajl.docs'.
- Add '0002-Clean-README.patch' to avoid fetching external images when
accessing the README.html and remove the 'How to Install' section.
* debian/control:
- Add 'discount' ('mkd2html' command) to build dependencies.
- Add myself to uploaders.
* debian/copyright:
- Add myself to 'debian/*' files.
* debian/rules:
- Add 'override_dh_auto_build' for building the HTML documentation.
* Refreshed '0001-Use-the-system-libyajl2.patch' to fix 'the patch has fuzz
which is not allowed' error.
2015-06-13 - Antonio Terceiro <terceiro@debian.org>
ruby-ffi-yajl (2.2.0-1) unstable; urgency=medium
* Initial release
* debian/patches/0001-Use-the-system-libyajl2.patch: use the packaged
libyajl2, both during build, and at runtime.

See Also

Package Description
ruby-ffi_1.9.10debian-1+b4_amd64.deb load dynamic libraries, bind functions from within ruby code
ruby-fftw3_1.0.2-2_amd64.deb Ruby interface to the FFTW Ver.3 library
ruby-file-tail_1.1.1-2_all.deb Ruby library for following still-growing files
ruby-filepath_0.7-1_all.deb small library to manipulate paths
ruby-filesystem_0.5-5.1+b8_amd64.deb Ruby extension for file-system information
ruby-fission_0.5.0-2_all.deb Command line tool to manage VMware Fusion VMs
ruby-fix-trinity-output_1.0.0-1_all.deb Fix output fastq files from trinityrnaseq
ruby-fixwhich_1.0.2-1_all.deb ruby module that emulates the 'which' program
ruby-flexmock_2.0.4-1_all.deb simple and flexible mock objects for testing
ruby-flipper_0.13.0-3_all.deb Feature flipper for ANYTHING
ruby-flot-rails_0.0.7-1_all.deb jQuery Flot for Rails Asset pipeline
ruby-flowdock_0.7.1-1_all.deb Ruby library for using Flowdock's API
ruby-fog-aliyun_0.2.0-1_all.deb Fog provider for Aliyun Web Services
ruby-fog-atmos_0.1.0-3_all.deb Module for the 'fog' gem to support Atmos
ruby-fog-aws_2.0.1-1_all.deb module for the 'fog' gem to support Amazon Web Services
Advertisement
Advertisement